Gemini 3.7 Flash
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
Gemini 3.7 Flash is Google's latest Flash model, built for complex coding, agentic workflows, and reliable multi-step execution. It keeps the low latency and token efficiency of the Flash family while improving on reasoning and tool use.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gemini-3.7-flash | August 13th 2026 | Text, Image, Video, Audio, PDF | Text | 1,048,576 | $1.50/1M input (text/image/video/audio) $7.50/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gemini-3.7-flash",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gemini-3.7-flash", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gemini-3.7-flash",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
When to Use
- AI coding assistants and software agents
- RAG applications over large documents
- Enterprise knowledge assistants
- Data analysis workflows
- Multimodal document understanding
- Fast conversational AI at scale
References
- Gemini 3.7 Flash Model Card https://deepmind.google/models/model-cards/gemini-3-7-flash/
- Gemini Models (Gemini API) https://ai.google.dev/gemini-api/docs/models
- Gemini API Pricing https://ai.google.dev/gemini-api/docs/pricing